import * as PxTypes from '@material-hu/components/composed-components/peopleExperience/types';

import { LokaliseTFunction } from 'src/utils/i18n';

export const getNewBaseSegments = (t: LokaliseTFunction) => ({
  bosses: {
    name: t('BOSS_TEAM'),
    id: PxTypes.SegmentType.BOSSES,
  },
  directBoss: {
    name: t('DIRECT_BOSS'),
    id: PxTypes.SegmentType.DIRECT_BOSS,
  },
});

export const getInitialHeatmapFilters = (
  t: LokaliseTFunction,
): PxTypes.HeatmapFilters => ({
  dataSource: PxTypes.DataSource.TOPICS,
  scoreType: {
    id: PxTypes.ScoreType.SCORE,
    name: t('SCORE'),
  },
  segment: getNewBaseSegments(t).bosses,
  parentId: null,
});
